Kerbal Space Program - Bug #9990

Bug? : Career game ; unable to > enter/leave facilities, launch, recover flag
06/19/2016 01:47 PM - Gurman

Status: Closed Start date: 06/19/2016
Severity: Normal % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.1.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

KSP Version: 012602016.04.30

Background

| have been playing the career mode save game which is the subject of this ticket on and off between extended breaks from the
game. The save game files have been preserved and carried over between machine rebuilds sometimes via Windows File History
and has involved reinstall of the game files to which the save game and a flag have been reintroduced. | have at one point during the
game used a mod briefly intended to help configure controls. This mod was removed a long time ago after which the save game
continued to function. Apart from that the only other conceivable mod is the custom flag graphic; | had been using this without issue
prior to this ticket from the beginning of the save game.

Symptoms
Unable to access many buildings from the Space Centre overview. Once in one of the few accessible buildings | am unable to exit
back to the Space Centre overview. | have flags planted around Kerbal Space Centre, | have tested recovering these - this fails to
have any apparent effect.
Steps to replicate:

e using KSP Version: 012602016.04.30

¢ deploy "Kirbin Galactic" save game folder.
¢ deploy "kerbinGalactic.png" flag (not relevant? but may be required for save game?)
. Resume Save "Kirbin Galactic" save game
. Attempt to:
1. recover flag "BEACON: Runway East"- no effect ; unexpected behaviour
. enter SPH - no effect ; unexpected behaviour
. enter VAB - no effect ; unexpected behaviour
. enter Tracking Station - no effect ; unexpected behaviour
. select and launch apparently any ship - no effect ; unexpected behaviour
. enter Mission Control
= succeeds
1. attempt to Leave Facility - no effect ; unexpected behaviour
2. Quit to Main Menu - no effect ; unexpected behaviour
I note the behaviour here seems similar to issue 9910 (currently status New)

¢ Relaunch game - within an-other save game eg sandbox using the above install then all behaviour is as expected where
applicable.

Attachments
Resources.zip - contains:

¢ save game folder "Kirbin Galactic"
* flag "kerbinGalactic.png"

e output_log.txt

e DxDiag.txt
Related issues:
Copied from Kerbal Space Program - Bug #9989: Bug? : Career game ; unable to Duplicate 06/19/2016

History

#1 - 06/19/2016 01:47 PM - Gurman
- Copied from Bug #9989: Bug? : Career game ; unable to added

#2 - 06/19/2016 02:26 PM - Gurman
Having a look at output_log.txt and observing the error

UnauthorizedAccessException: Access to the path "C:\Program Files (x86)\Steam\steamapps\common\Kerbal Space Pr
ogram\saves\Kirbin Galactic\persistent.sfs" is denied.

| thought | would reassert file permissions on all Kerbal Space Program Files. The user running KSP also had full access to persistent.sfs . The
unexpected behaviour remained unchanged.

I then discovered the less used 'Read Only’file flag was was set on save game files. Clearing
this flag is confirmed as resolving my issue.

Most likely a result of my un-designed-for use of Widows File History files.

Apologies. Please close this issue following any documentation procedures you may have.

| have had a look at the output_log.txt of ticket 9910 | mentioned. This ticket does not have the UnauthorizedAccessException..denied error in
common with my issue.

Again my apologies.

Many thanks for this brilliant game, keep up the great work.
(P.S. any chance you could make the control configuration buttons a bit bigger so | can read my joystick allocations?)

#3 - 07/17/2016 09:57 AM - TriggerAu

- Status changed from New to Needs Clarification

#4 - 07/26/2016 06:05 AM - bewing
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100
OS file system issue as explained by author, not game related. Closing issue as requested.

Files

Resources.zip.zip 892 KB 06/19/2016 Gurman
